﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EStudy.Domain.Model.CustomValidations
{
    public class NotNullOrEmpty : EStudyValidationAttribute
    {
        public NotNullOrEmpty(string message)
        {
            Message = message; 
        }

        public override bool IsValid(object item)
        {
            if(String.IsNullOrEmpty(item as String)) return false; 

            return true; 
        }
    }
}
