﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using EStudy.Domain.Model.CustomValidations;

namespace EStudy.Domain.Model.ViewModels
{
    public class RegistrationViewModel  : ViewModel 
    {
        [NotNullOrEmpty("FirstName cannot be blank")]
        public string FirstName { get; set; }
        
        [NotNullOrEmpty("LastName cannot be blank")]
        public string LastName { get; set; }

        public string MiddleName { get; set; }
        
    }
}
