﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using EStudy.Domain.Model;
using EStudy.Domain.Model.ViewModels;
using Mindscape.LightSpeed;

namespace EStudy.UI.WPF
{
   
    public partial class Dashboard : Window
    {
        private RegistrationViewModel _registrationViewModel;
        private ValidationEngine _validationEngine; 

        public Dashboard()
        {
            _validationEngine = new ValidationEngine();

            _registrationViewModel = new RegistrationViewModel();

            this.DataContext = _registrationViewModel;
            
            InitializeComponent(); 
        }

        private void AddUser_Click(object sender, RoutedEventArgs e)
        {
            var isValid = _validationEngine.Validate(_registrationViewModel);
            
            if(isValid)
            {
                // save the data
            }
        }
    }
}
